/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: GetLoggedUserEvent.as 4934 2009-08-16 16:13:10Z renaultgu $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notification.event
{
import com.adobe.cairngorm.control.CairngormEvent;

import flash.events.Event;


/**
 * @author Guillaume Renault
 *
 * A GetLoggedUserEvent is dispatched to know who is the logged user..
 */
public class GetLoggedUserEvent extends CairngormEvent
{
    
    // ////////////////////////////////////////////////////////////////////////
    // Event types
    // ////////////////////////////////////////////////////////////////////////
    public static var GET_CURRENT_LOGGED_USER : String = "Get the logged user name";
    
    
    
    /**
     * Creates a new GetLoggedUserEvent.
     */
    public function GetLoggedUserEvent(type : String)
    {
        super(type);
    }
    
    
    
    /**
     * Overrides the clone function of the CairngormEvent class.
     * returns GetLoggedUserEvent
     */
    override public function clone() : Event
    {
        return new CheckNotificationStateEvent(this.type);
    }

}
}
