/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: NotifEvent.as 4934 2009-08-16 16:13:10Z renaultgu $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notification.event
{
import com.adobe.cairngorm.control.CairngormEvent;

import flash.events.Event;


/**
 * @author radua
 *
 * A NotifEvent is dispatched when the datagrid with the notifications
 * must be populated.
 */
public class NotifEvent extends CairngormEvent
{
    
    // ////////////////////////////////////////////////////////////////////////
    // Event types
    // ////////////////////////////////////////////////////////////////////////
    public static var GET_JASMINE_NOTIFS_DB : String = "getJasmineNotifsDB";
    
    public static var GET_JASMINE_NOTIFS_JMS : String = "getJasmineNotifsJMS";
    
    public static var GET_JASMINE_NOTIFS_DB_FROM_TO : String = "getJasmineNotifsDBFromDateAToDateB";
    
    /**
     * The date from which the notifications should be retrieved.
     */
    private var dateFromObj : Date;
    
    
    
    public function set dateFrom(_dateFrom : Date) : void
    {
        this.dateFromObj = _dateFrom;
    }
    
    
    
    public function get dateFrom() : Date
    {
        return this.dateFromObj
    }
    
    /**
     * The date to which the notifications should be retrieved.
     */
    private var dateToObj : Date;
    
    
    
    public function set dateTo(_dateTo : Date) : void
    {
        this.dateToObj = _dateTo;
    }
    
    
    
    public function get dateTo() : Date
    {
        return this.dateToObj
    }
    
    
    
    /**
     * Creates a new NotifEvent.
     */
    public function NotifEvent(type : String)
    {
        super(type);
    }
    
    
    
    /**
     * Overrides the clone function of the CairngormEvent class.
     * returns NotifEvent
     */
    override public function clone() : Event
    {
        return new NotifEvent(this.type);
    }

}
}
